<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.65
Name: [2] Imię ojca (rozszerzenie)
Description: Szablon rozszerzenia CDA dla imienia ojca
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000">
   <title>[2] Imię ojca (rozszerzenie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']
Item: (plExtFatherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']"
         id="tmp-r-b2c9876a-a3d7-4fa6-b24e-ea9b1bdf9fd7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65']/@nullFlavor)">(plExtFatherGivenName): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65'])&lt;=1">(plExtFatherGivenName): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')])&gt;=1 and not(extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')]/@nullFlavor)">(plExtFatherGivenName): element extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')])&lt;=1">(plExtFatherGivenName): element extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:person)&gt;=1 and not(extPL:person/@nullFlavor)">(plExtFatherGivenName): element extPL:person jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:person)&lt;=1">(plExtFatherGivenName): element extPL:person występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65']
Item: (plExtFatherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65']"
         id="tmp-r-8b8ffdbb-b60c-444e-8757-d2f906ec323f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtFatherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.65'">(plExtFatherGivenName): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.65'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtFatherGivenName): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')]
Item: (plExtFatherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')]"
         id="tmp-r-faf8c7fa-5bcd-4bd6-9d33-0ea72f819009">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtFatherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="@nullFlavor or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111' and @displayName='Father')">(plExtFatherGivenName): Wartość elementu MUSI wynosić code 'FTH' codeSystem '2.16.840.1.113883.5.111' displayName='Father'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person
Item: (plExtFatherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person"
         id="tmp-r-aa8c6982-3a8f-471a-ad0c-fe2ed8c25059">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="string(@classCode)='PSN'">(plExtFatherGivenName): Wartość dla @classCode MUSI wynosić 'PSN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtFatherGivenName): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="not(./*[not(self::extPL:name)])">(plExtFatherGivenName): We fragmencie dokumentu zgodnym z szablonem "[2] Imię ojca (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:name)&gt;=1 and not(extPL:name/@nullFlavor)">(plExtFatherGivenName): element extPL:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:name)&lt;=1">(plExtFatherGivenName): element extPL:name występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person/extPL:name
Item: (plExtFatherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person/extPL:name"
         id="tmp-r-9955c4da-5fca-477c-bc4f-e1caef69ac26">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtFatherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:given)])">(plExtFatherGivenName): We fragmencie dokumentu zgodnym z szablonem "[2] Imię ojca (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(plExtFatherGivenName): element hl7:given jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(hl7:given)&lt;=1">(plExtFatherGivenName): element hl7:given występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person/extPL:name/hl7:given
Item: (plExtFatherGivenName)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person/extPL:name/hl7:given"
         id="tmp-r-acf0065c-9a87-4f2e-9c9f-0d0d274f48fa">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtFatherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
